<?php
include_once("header.php");

?>
<style type="text/css">
	.bold{
		font-weight: bolder;
	}

</style>

<div class="container col-md-7">
	<h2>Lista de productos en almacen</h2>
	<hr>
	<br>
	<div class="row">
		<div class="col-md-5">
			<input type="search" class="form-control bold" onKeyUp="buscar(this.value)" placeholder="Descripcion del producto">
		</div>

		<div class="col-md-1">
			<a href="nuevo.php" class="btn btn-warning"> Nuevo</a>
		</div>

	</div>
	

	<br>
	<div id="lista">
		
	</div>



</div>
</div>

<script>
function buscar(d){
            var sql="select * from productos where descripcion like '%"+d+"%'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       			var tr="";
       			var id="";
                for( var i in rs.data){
                    id= rs.data[i].id;             
                    tr+="<input type='checkbox'> <a href='nuevo.php?id="+id+"'>";
                    tr+=rs.data[i].codigo;
                    tr+=" - "+rs.data[i].descripcion;
                    tr+=" ("+rs.data[i].precio+")";
                    tr+="<br>"
                  
                }
               $("#lista").html(tr);
            })
        }



</script>